Ubuntu 8.04 LTS / 10.04 LTS / 10.10 / 11.04:libpng 弱點 (USN-1175-1)

medium Nessus Plugin ID 55699
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Ubuntu 主機缺少安全性相關修補程式。

描述

Frank Busse 發現,libpng 未正確處理某些格式錯誤的 PNG 影像。如果使用者或自動化系統遭誘騙而開啟特製的 PNG 檔案,攻擊者就可造成 libpng 損毀,從而導致拒絕服務。此問題只會影響 Ubuntu 10.04 LTS、10.10 和 11.04。(CVE-2011-2501)

據發現,libpng 無法正確處理某些格式錯誤的 PNG 影像。如果使用者或自動化系統受到誘騙而開啟特製的 PNG 檔案,則攻擊者可引起拒絕服務的情況,或可能藉由叫用程式之使用者的權限執行任意程式碼。(CVE-2011-2690)

Frank Busse 發現,libpng 未正確處理某些含有無效 sCAL 區塊的 PNG 影像。如果使用者或自動化系統受到誘騙而開啟特製的 PNG 檔案,則攻擊者可引起拒絕服務的情況,或可能藉由叫用程式之使用者的權限執行任意程式碼。(CVE-2011-2692)。

解決方案

更新受影響的 libpng12-0 套件。

另請參閱

https://usn.ubuntu.com/1175-1/

Plugin 詳細資訊

嚴重性: Medium

ID: 55699

檔案名稱: ubuntu_USN-1175-1.nasl

版本: 1.9

類型: local

代理程式: unix

已發布: 2011/7/27

已更新: 2019/9/19

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:canonical:ubuntu_linux:libpng12-0, cpe:/o:canonical:ubuntu_linux:10.04:-:lts, cpe:/o:canonical:ubuntu_linux:10.10, cpe:/o:canonical:ubuntu_linux:11.04, cpe:/o:canonical:ubuntu_linux:8.04:-:lts

必要的 KB 項目: Host/cpu, Host/Ubuntu, Host/Ubuntu/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2011/7/26

弱點發布日期: 2011/7/17

參考資訊

CVE: CVE-2011-2501, CVE-2011-2690, CVE-2011-2692

BID: 48474, 48618, 48660

USN: 1175-1